Skip to main content
`Ctrl`+`K`

# pandas.api.types.is_interval_dtype

pandas.api.types.is_interval_dtype(arr_or_dtype)

  Check whether an array-like or dtype is of the Interval dtype.

  Deprecated since version 2.2.0: Use isinstance(dtype, pd.IntervalDtype) instead.

  Parameters:
    arr_or_dtype array-like or dtype

      The array-like or dtype to check.

  Returns:
    boolean

      Whether or not the array-like or dtype is of the Interval dtype.

  Examples

      >>> from pandas.core.dtypes.common import is_interval_dtype
      >>> is_interval_dtype(object)
      False
      >>> is_interval_dtype(pd.IntervalDtype())
      True
      >>> is_interval_dtype([1, 2, 3])
      False
      >>>
      >>> interval = pd.Interval(1, 2, closed="right")
      >>> is_interval_dtype(interval)
      False
      >>> is_interval_dtype(pd.IntervalIndex([interval]))
      True